program TestWriteFig

  use WriteFig, only: StartFig, WriteEllipse, WritePoly, WriteText

  call startFig
  call writePoly ( 2, reshape( &
    & (/2790, 2220, 3375, 2220, 3375, 3615, 2790, 3615, 2790, 2220 /), &
    & (/2, 5 /) ) )
  call writeText ( 'ABCDEFGHJKLMNPRS', 4800, 4680 )
  call writeEllipse ( 3, (/1830.0, -2715.0/), (/114.0, 114.0/), &
    & (/1830.0, -2715.0/), (/1875.0, -2610.0/) )
end program TestWriteFig
